> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.neetochat.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List messages

> List the messages in a conversation, oldest first. Internal notes and messages created by NeetoChat are included.

<Info>Replace `{your-subdomain}` with your workspace's subdomain. <br /> Learn how to find your subdomain in [Workspace subdomain](/getting-started/workspace-subdomain).</Info>


## OpenAPI

````yaml bundled/conversations.yaml GET /conversations/{conversation_id}/messages
openapi: 3.0.3
info:
  title: NeetoChat Conversations APIs
  version: 1.0.0
servers:
  - description: NeetoChat APIs
    url: https://{your-subdomain}.neetochat.com/api/external/v2
    variables:
      your-subdomain:
        default: spinkart
        description: >-
          Replace **spinkart** with your [workspace's
          subdomain](/getting-started/workspace-subdomain).
security: []
tags:
  - name: Conversations
    description: APIs to list, create and update conversations in the workspace.
  - name: Messages
    description: APIs to read and send messages in a conversation.
paths:
  /conversations/{conversation_id}/messages:
    get:
      tags:
        - Messages
      summary: List messages
      description: >-
        List the messages in a conversation, oldest first. Internal notes and
        messages created by NeetoChat are included.
      parameters:
        - $ref: '#/components/parameters/api_key_header'
        - $ref: '#/components/parameters/accept_header'
        - $ref: '#/components/parameters/conversation_id_param'
        - $ref: '#/components/parameters/page_param'
        - $ref: '#/components/parameters/per_page_param'
      responses:
        '200':
          description: OK - Request succeeded
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/message_list_response'
        '404':
          description: Not Found - No conversation with this id exists in the workspace
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error'
components:
  parameters:
    api_key_header:
      in: header
      name: X-Api-Key
      description: >-
        Use the X-Api-Key header to provide your workspace API key. Refer to
        [Authentication](/getting-started/authentication) for more information.
      required: true
      schema:
        type: string
        default: your-api-key
    accept_header:
      in: header
      name: Accept
      description: >-
        Specifies the expected response format. Must be set to
        `application/json` for proper API communication.
      required: true
      schema:
        type: string
        enum:
          - application/json
        default: application/json
    conversation_id_param:
      in: path
      name: conversation_id
      description: >-
        Id of the conversation. You can get `conversation_id` by listing
        conversations using our [List
        conversations](/api-reference/conversations/list) API.
      required: true
      schema:
        type: string
        format: uuid
        example: de414e85-a1b5-4240-a465-7b32606980ce
    page_param:
      in: query
      name: page
      description: Page number to retrieve, starting from 1. Defaults to 1 when omitted.
      required: false
      schema:
        type: integer
        example: 1
    per_page_param:
      in: query
      name: per_page
      description: >-
        Number of records per page. Defaults to 15 when omitted, and values
        above 100 are capped at 100. `page_size` is accepted as an alias.
      required: false
      schema:
        type: integer
        example: 15
  schemas:
    message_list_response:
      type: object
      properties:
        messages:
          type: array
          items:
            $ref: '#/components/schemas/message'
        pagination:
          $ref: '#/components/schemas/pagination'
    error:
      type: object
      properties:
        error:
          type: string
          example: Conversation does not exist.
    message:
      type: object
      properties:
        id:
          type: string
          format: uuid
          example: 1bf689fc-9f92-4e39-9f71-4a97078d2b8f
        body:
          type: string
          description: Content of the message. It may contain HTML.
          example: <p>Thanks, we have processed your refund.</p>
        kind:
          type: string
          description: >-
            Type of the message. `user_message` is a chat message and `note` is
            an internal note that only team members can see. Other kinds, such
            as `system_message` and `activity_message`, are created by
            NeetoChat.
          example: user_message
        status:
          type: string
          example: read
        created_at:
          type: string
          format: date-time
          example: '2026-10-05T16:26:57.912Z'
        updated_at:
          type: string
          format: date-time
          example: '2026-10-05T16:26:57.912Z'
        sender:
          type: object
          properties:
            id:
              type: string
              format: uuid
              nullable: true
              example: 05665eee-4602-4317-8f7f-767b04274e5f
            name:
              type: string
              nullable: true
              example: Oliver Smith
            email:
              type: string
              nullable: true
              example: oliver@example.com
            type:
              type: string
              nullable: true
              description: '`User` for a team member and `Insights::Visitor` for a contact.'
              example: User
        attachments:
          type: array
          items:
            type: object
            properties:
              id:
                type: string
                format: uuid
              filename:
                type: string
                example: invoice.pdf
              content_type:
                type: string
                example: application/pdf
              url:
                type: string
                example: >-
                  https://spinkart.neetochat.com/rails/active_storage/blobs/redirect/.../invoice.pdf
        message_gif:
          type: object
          nullable: true
          properties:
            id:
              type: string
              format: uuid
            embed_url:
              type: string
            title:
              type: string
          example: null
    pagination:
      type: object
      properties:
        current_page:
          type: integer
          description: Current page number.
          example: 1
        total_pages:
          type: integer
          description: Total number of pages available.
          example: 4
        total_count:
          type: integer
          description: Total number of records across all pages.
          example: 52
        per_page:
          type: integer
          description: Number of records per page.
          example: 15

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.